import { Box, Modal } from "@mui/material";
import React from "react";
import styles from "./HotkeysModal.module.scss";

var HotkeysModal = function HotkeysModal(_ref) {
  var openHotkeyModal = _ref.openHotkeyModal,
      setOpenHotkeyModal = _ref.setOpenHotkeyModal;
  var style = {
    position: "absolute",
    top: "50%",
    left: "50%",
    transform: "translate(-50%, -50%)",
    width: 500,
    bgcolor: "background.paper",
    boxShadow: 24,
    p: 2,
    maxHeight: "80vh",
    overflow: "auto"
  };
  var shortcuts = [{
    shortcut: ["x"],
    description: "Complete polygon or polyline"
  }, {
    shortcut: ["c"],
    description: "Cancel"
  }, {
    shortcut: ["r"],
    description: "Reset zoom scale"
  }, {
    shortcut: ["esc"],
    description: "Exit fullscreen"
  }, {
    shortcut: ["ctrl", "enter"],
    description: "Save"
  }, {
    shortcut: ["ctrl", "z"],
    description: "Undo"
  }];
  return React.createElement(Modal, {
    container: document.querySelector(".fullscreen"),
    open: openHotkeyModal,
    onClose: function onClose() {
      return setOpenHotkeyModal(false);
    }
  }, React.createElement(Box, {
    sx: style
  }, React.createElement("table", {
    className: styles.Table
  }, React.createElement("thead", {
    className: styles.TableHeader
  }, React.createElement("tr", null, React.createElement("th", null, "Shortcuts"), React.createElement("th", null, "Description"))), React.createElement("tbody", {
    className: styles.TableBody
  }, shortcuts.map(function (shortcut, i) {
    return React.createElement("tr", {
      className: styles.TableRow,
      key: i
    }, React.createElement("td", {
      className: styles.ShortcutData
    }, shortcut.shortcut.map(function (hotkey, i) {
      return React.createElement("kbd", {
        key: i
      }, hotkey);
    })), React.createElement("td", {
      className: styles.DescriptionData
    }, shortcut.description));
  })))));
};

export default HotkeysModal;